PySpark Plaso Release 2019 A tool for distributed extraction of timestamps from various files using extractors adapted from the Plaso engine to Apache Spark.

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry Class Reference
Inheritance diagram for plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry:
[legend]
Collaboration diagram for plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry:
[legend]

## Public Member Functions
def | __init__ (self, resolver_context, file_system, path_spec, is_root=False)
def | access_time (self)
def | change_time (self)
def | link (self)
def | name (self)
def | modification_time (self)
def | GetLinkedFileEntry (self)
def | GetParentFileEntry (self)

## Public Attributes
| entry_type

## Static Public Attributes
| TYPE_INDICATOR = definitions.TYPE_INDICATOR_HDFS

## Detailed Description

    HDFS file entry.

## Constructor & Destructor Documentation

## ◆ __init__()

def plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.__init__ | ( |  | self,
|  |  | resolver_context,
|  |  | file_system,
|  |  | path_spec,
|  |  | is_root = `False`
| ) |  |

    Initializes a file entry.
    :param resolver_context: resolver context
    :param file_system: file system
    :param path_spec: path specification
    :param is_root: True if the file entry is the root file entry of the corresponding file system
    :raises BackEndError: If there is a HDFS backend error

## Member Function Documentation

## ◆ access_time()

def plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.access_time | ( |  | self | ) |

    Access time or None if not available.

## ◆ change_time()

def plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.change_time | ( |  | self | ) |

    Change time or None if not available.

## ◆ GetLinkedFileEntry()

def plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.GetLinkedFileEntry | ( |  | self | ) |

    Retrieves the linked file entry, for example for a symbolic link.
    :return: linked file entry or None if not available

## ◆ GetParentFileEntry()

def plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.GetParentFileEntry | ( |  | self | ) |

    Retrieves the parent file entry.
    :return: parent file entry or None if not available

## ◆ link()

def plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.link | ( |  | self | ) |

    Full path of the linked file entry.

## ◆ modification_time()

def plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.modification_time | ( |  | self | ) |

    Modification time or None if not available.

## ◆ name()

def plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.name | ( |  | self | ) |

    Name of the file entry, without the full path.

## Member Data Documentation

## ◆ entry_type

plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.entry_type

## ◆ TYPE_INDICATOR

plaso.tarzan.dfvfs2.hdfs_file_entry.HDFSFileEntry.TYPE_INDICATOR = definitions.TYPE_INDICATOR_HDFS
| static

The documentation for this class was generated from the following file:

- /home/rychly/repos/pyspark-plaso/src/plaso/tarzan/dfvfs2/hdfs_file_entry.py